> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a Pix Automático authorization validation

> Registers the deferred async validation reply for a recurring-payment authorization, the outbound reply to an inbound 5.2.1 that returned 202-async.



## OpenAPI

````yaml en/openapi/v3-current/pix.yaml POST /v1/pix-automatico/authorizations/{idRecorrencia}/validation
openapi: 3.0.3
info:
  title: Plugin BR Pix Direct - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-direct.api.lerian.net
  - url: https://plugin-pix-direct-qrcode.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/pix-automatico/authorizations/{idRecorrencia}/validation:
    post:
      tags:
        - Pix Automático API
      summary: Register a Pix Automático authorization validation
      description: >-
        Registers the deferred async validation reply for a recurring-payment
        authorization, the outbound reply to an inbound 5.2.1 that returned
        202-async.
      parameters:
        - description: The recurrence id (29-char, RR...).
          in: path
          name: idRecorrencia
          required: true
          schema:
            description: The recurrence id (29-char, RR...).
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterValidationBody'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizationAckResponse'
          description: Accepted
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: Error
components:
  schemas:
    RegisterValidationBody:
      additionalProperties: false
      properties:
        rejectionReason:
          description: >-
            Rejection reason (motivoRejeicao; AP01-12/CH16; required when
            result=0).
          type: string
        result:
          description: resultado (0=Invalido, 1=Valido).
          format: int64
          type: integer
        validatedAt:
          description: Validation timestamp (dtHrValidacao, UTC).
          type: string
      required:
        - result
      type: object
    AuthorizationAckResponse:
      additionalProperties: false
      properties:
        idRecorrencia:
          description: The recurrence id.
          type: string
        idReqJdPi:
          description: The upstream request id (36-char GUID; omitted by 4.3.10).
          type: string
        requestedAt:
          description: Upstream request timestamp (upstream request timestamp, UTC).
          type: string
        status:
          description: The resulting local authorization status.
          type: string
      required:
        - idRecorrencia
        - requestedAt
      type: object
    Detail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          nullable: true
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          format: uri
          type: string
        status:
          description: HTTP status code
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        JWT Bearer token authentication. Obtain token from
        `/v1/login/oauth/access_token` endpoint

        using client credentials (clientId and clientSecret).


        Include token in Authorization header:

        `Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...`


        Token expires after 3600 seconds (1 hour).

````